function Y = eastdate
%
% Dates of Easter from 1901 to 2099: first column month, second column day.
% Thus, to obtain the date of Easter for year 2004, first compute
% i=2004-1900=104. Then Y(104,:)= 4, 11 gives the result. The eleventh of
% April is the date of Easter for 2004.
%
% Copyright (c) 21 July 2015 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos,
% Subdireccion Gral. de Analisis y P.E.,
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: VGomez@sepg.minhap.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%


Y = zeros(199, 2);
Y(:, 1) = [4; 3; 4; 4; 4; 4; 3; 4; 4; 3; 4; 4; 3; 4; ...
    4; 4; 4; 3; 4; 4; 3; 4; 4; 4; 4; 4; 4; 4; 3; 4; 4; 3; 4; 4; ...
    4; 4; 3; 4; 4; 3; 4; 4; 4; 4; 4; 4; 4; 3; 4; 4; 3; 4; 4; 4; ...
    4; 4; 4; 4; 3; 4; 4; 4; 4; 3; 4; 4; 3; 4; 4; 3; 4; 4; 4; 4; ...
    3; 4; 4; 3; 4; 4; 4; 4; 4; 4; 4; 3; 4; 4; 3; 4; 3; 4; 4; 4; ...
    4; 4; 3; 4; 4; 4; 4; 3; 4; 4; 3; 4; 4; 3; 4; 4; 4; 4; 3; 4; ...
    4; 3; 4; 4; 3; 4; 4; 4; 4; 3; 4; 4; 3; 4; 4; 4; 4; 3; 4; 4; ...
    3; 4; 4; 4; 4; 4; 4; 4; 3; 4; 4; 3; 4; 4; 4; 4; 4; 4; 4; 3; ...
    4; 4; 4; 4; 3; 4; 4; 3; 4; 4; 3; 4; 4; 4; 4; 3; 4; 4; 3; 4; ...
    3; 4; 4; 4; 4; 4; 3; 4; 4; 3; 4; 3; 4; 4; 3; 4; 4; 3; 4; 4; ...
    4; 4; 3; 4; 4];
Y(:, 2) = [7; 30; 19; 3; 23; 15; 31; 19; 11; 27; 16; ...
    7; 23; 12; 4; 23; 8; 31; 20; 4; 27; 16; 1; 20; 12; 4; 17; ...
    8; 31; 20; 5; 27; 16; 1; 21; 12; 28; 17; 9; 24; 13; 5; 25; ...
    9; 1; 21; 6; 28; 17; 9; 25; 13; 5; 18; 10; 1; 21; 6; 29; ...
    17; 2; 22; 14; 29; 18; 10; 26; 14; 6; 29; 11; 2; 22; 14; ...
    30; 18; 10; 26; 15; 6; 19; 11; 3; 22; 7; 30; 19; 3; 26; 15; ...
    31; 19; 11; 3; 16; 7; 30; 12; 4; 23; 15; 31; 20; 11; 27; ...
    16; 8; 23; 12; 4; 24; 8; 31; 20; 5; 27; 16; 1; 24; 12; 4; ...
    17; 9; 31; 13; 5; 28; 16; 1; 21; 13; 28; 17; 9; 25; 13; 5; ...
    25; 10; 1; 21; 6; 29; 17; 2; 25; 14; 5; 18; 10; 2; 21; 6; ...
    29; 18; 2; 22; 14; 30; 18; 10; 26; 15; 6; 22; 11; 3; 22; 7; ...
    30; 19; 10; 26; 15; 7; 19; 11; 3; 23; 7; 30; 19; 4; 26; 15; ...
    31; 20; 11; 27; 16; 8; 30; 12; 4; 24; 8; 31; 20; 12];